org.flexdock.perspective

## Class Perspective

- java.lang.Object
- - org.flexdock.perspective.Perspective

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class Perspective
      extends java.lang.Object
      implements java.lang.Cloneable, java.io.Serializable

  Author:
    Mateusz Szczap
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Perspective(java.lang.String persistentId, java.lang.String perspectiveName)`
    `Perspective(java.lang.String persistentId, java.lang.String perspectiveName, boolean defaultMode)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDockable(java.lang.String dockableId)`
    `void` | `addLayoutListener(LayoutListener listener)`
    `void` | `cacheLayoutState(DockingPort port)`
    `java.lang.Object` | `clone()`
    `Dockable` | `getDockable(java.lang.String dockableId)`
    `Dockable[]` | `getDockables()`
    `DockingState` | `getDockingState(Dockable dockable)`
    `DockingState` | `getDockingState(Dockable dockable, boolean load)`
    `DockingState` | `getDockingState(java.lang.String dockable)`
    `DockingState` | `getDockingState(java.lang.String dockable, boolean load)`
    `LayoutSequence` | `getInitialSequence()`
    `LayoutSequence` | `getInitialSequence(boolean create)`
    `Layout` | `getLayout()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getPersistentId()`
    `void` | `load(DockingPort port)`
    `boolean` | `removeDockable(java.lang.String dockableId)`
    `void` | `removeLayoutListener(LayoutListener listener)`
    `void` | `reset(DockingPort port)`
    `void` | `setInitialSequence(LayoutSequence sequence)`
    `void` | `setLayout(Layout layout)`
    `void` | `unload()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Perspective

          public Perspective(java.lang.String persistentId,
                     java.lang.String perspectiveName)

    - #### Perspective

          public Perspective(java.lang.String persistentId,
                     java.lang.String perspectiveName,
                     boolean defaultMode)

      Parameters:
        `persistentId` -
        `perspectiveName` -
        `defaultMode` -
      Throws:
        `java.lang.IllegalArgumentException` - if `persistentId` or `perspectiveName` is `null`.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### getPersistentId

          public java.lang.String getPersistentId()

    - #### addDockable

          public void addDockable(java.lang.String dockableId)

    - #### removeDockable

          public boolean removeDockable(java.lang.String dockableId)

    - #### getDockable

          public Dockable getDockable(java.lang.String dockableId)

    - #### addLayoutListener

          public void addLayoutListener(LayoutListener listener)

    - #### removeLayoutListener

          public void removeLayoutListener(LayoutListener listener)

    - #### getDockables

          public Dockable[] getDockables()

    - #### getDockingState

          public DockingState getDockingState(java.lang.String dockable)

    - #### getDockingState

          public DockingState getDockingState(Dockable dockable)

    - #### getDockingState

          public DockingState getDockingState(java.lang.String dockable,
                                     boolean load)

    - #### getDockingState

          public DockingState getDockingState(Dockable dockable,
                                     boolean load)

    - #### getInitialSequence

          public LayoutSequence getInitialSequence()

    - #### getInitialSequence

          public LayoutSequence getInitialSequence(boolean create)

    - #### setInitialSequence

          public void setInitialSequence(LayoutSequence sequence)

    - #### getLayout

          public Layout getLayout()

    - #### setLayout

          public void setLayout(Layout layout)

    - #### reset

          public void reset(DockingPort port)

    - #### load

          public void load(DockingPort port)

    - #### unload

          public void unload()

    - #### cacheLayoutState

          public void cacheLayoutState(DockingPort port)

    - #### clone

          public java.lang.Object clone()

      Overrides:
        `clone` in class `java.lang.Object`